Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 879077 - PRD35 - [RFE] left-hand pane in the AdminPortal (the tree) should auto-refresh
Summary: PRD35 - [RFE] left-hand pane in the AdminPortal (the tree) should auto-refresh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Alexander Wels
QA Contact: Martin Pavlik
URL:
Whiteboard: ux
Depends On:
Blocks: 1003785 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2012-11-22 01:19 UTC by Bryan Yount
Modified: 2015-02-11 17:50 UTC (History)
10 users (show)

Fixed In Version: vt1
Doc Type: Enhancement
Doc Text:
Previously,when an entity changed, the system tree was not automatically refresh and users had to press the refresh button to update the tree. With this update, when an entity changes, the system tree will refresh automatically.
Clone Of:
Environment:
Last Closed: 2015-02-11 17:50:56 UTC
oVirt Team: ---
Target Upstream Version:
sgrinber: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 26161 None None None Never

Comment 1 Simon Grinberg 2013-01-23 10:42:52 UTC
Setting on 3.3 but required farther discussion - as I recall tree refresh has two drawbacks:

1. It's an intensive operation since it scans a lot of information 
2. Tree refresh collapses everything while I assume that this request want's to refresh while leaving the view hierarchy intact. Meaning what is currently expended should remain extended, same with collapsed, and the user must remain within the same selected scope.

Einav, is this doable with the current technology we use for the tree?

Comment 2 Einav Cohen 2013-01-28 12:39:33 UTC
Simon - your observations are correct:

1. indeed - we do intense search actions, and with all the performance issues - I am not sure if doing more of these is such a good idea. need to find a solution for this before handling tree-auto-refresh.

2. indeed - need to solve bug 684824 before handling tree-auto-refresh (filling "depends on" accordingly)

Therefore, I am not sure that we will be able to handle it for 3.3 (not "devel_ack"ing yet).

Comment 4 Itamar Heim 2014-02-02 23:08:08 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Comment 5 Martin Pavlik 2014-02-05 11:36:14 UTC
It is important to get this fixed, because it is really inconvenient for the user to not have the tree auto refreshed.

Comment 6 Martin Pavlik 2014-07-24 06:27:03 UTC
verified @  oVirt Engine Version: 3.5.0-0.0.master.20140715172114.git4687dc1.fc19

Comment 9 errata-xmlrpc 2015-02-11 17:50:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.